/* import Playfair from Google fonts */
@import url('https://fonts.googleapis.com/css2?family=Playfair+Display+SC:ital,wght@0,400;0,700;0,900;1,400;1,700;1,900&family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Playfair:ital,opsz,wght@0,5..1200,300..900;1,5..1200,300..900&display=swap');
/* import Lato from Google fonts */
@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');
/* Import Cambay from Google fonts */
@import url('https://fonts.googleapis.com/css2?family=Cambay:ital,wght@0,400;0,700;1,400;1,700&display=swap');

body, html {
    margin: 0;
    padding: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
}


.contenu {
    max-width: 98vw;
    max-height: 98vh;
    margin: 2%;
}

.desc {
    box-sizing: border-box;
    padding: 12pt;
    background-color: #080807;
    color:#fffaff;
    border: 2px solid #c644e3;
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: #333 #080807;
    color: #c7c17d;
    font-family: "Cambay";
    font-size: 12pt;
    text-align: right;
    line-height: 1.05em;
}

.fond {
    z-index: -1;
    position: fixed;
    width: 100vw;
    height: 100vh;
    background-color: #080807;
    background-image: 
        linear-gradient(#c644e3 1px, transparent 1px), 
        linear-gradient(to right, #c644e3 1px, #080807 1px);
    background-size: 40px 40px;
    background-position: 20px, 20px;
}

.image {
    height: 100%;
    width: 100%; 
    border: 2px solid #c644e3;
}

.nav-button {
    border: 2px solid #c644e3;
    margin: 5px;
    border-radius: 5px;
    cursor: pointer;
    width: 60px;
    height: 60px;
    object-fit: cover;
}

.nav-button:hover {
    border: 2px solid #a733b0;
}

.nav-buttons {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    right: 0px;
    bottom: 0px;
}

.poem {
    box-sizing: border-box; 
    height: 100%;
    width: 100%;
    padding: 12pt;
    background-color: #241525;
    color:#fffaff;
    border: 2px solid #c644e3;
    overflow-y: scroll;
    scrollbar-width: thin;
    scrollbar-color: #977DC7 #212122;
}

.poem h1 {
    font-family: "Playfair Display";
    font-weight: 300;
    margin-top: 0; 
    margin-bottom: 12pt;
    font-size: 18pt;
}

.poem p, ul {
    font-family: "Cambay";
    font-size: 12pt;
    margin-bottom: -10pt;
    line-height: 1.5em;
}

.poem pre {
    font-family: 'Cambay';
}


.redacted {
    color: #080807;
    /* color: #c644e3; */
}

.titre {
    height: 60px;
    width: 100%;
    background-color: #080807;
    color: #c7c17d;
    border-radius: 10px;
    border: 2px solid #c644e3;
    font-family: "Playfair Display SC";
    font-size: 20pt;
    text-align: center;
    vertical-align: middle;
    line-height: 60px;
}


